Subject: bug#30350: 27.0.50; Newest master can't run processes on macOS

From: Philipp Stephani <[email-masked]>
Date: Sun, 11 Feb 2018 16:01:18 +0000

Alan Third <[email-masked]> schrieb am Di., 6. Feb. 2018 um 23:44 Uhr:

> On Tue, Feb 06, 2018 at 10:07:52PM +0000, Philipp Stephani wrote:
> > However, when I change "file" to "/usr/bin/true" in the names list, the
> > issue happens again (i.e. lstat and faccessat succeed for
> > "/usr/bin/true/."). So this does appear to be a macOS bug, but it's not
> > consistently reproducible.
>
> Try setting the permissions of the test file to 500.
>
> It looks like if the file is only readable and executable, then the
> problem occurs, but if it’s writable it goes away.
>
> That’s why we see it in places like /usr/bin where we don’t have write
> permission, but can’t reproduce it in ~/ where we do.
>
>
Hmm. Using the sequence {"file", "file/."} with a mode of 0777 in /tmp
indeed triggers the wrong behavior for me.